## org.springframework.http
Interface HttpInputMessage

All Superinterfaces:
  HttpMessage

All Known Subinterfaces:
  ClientHttpResponse, ServerHttpRequest

All Known Implementing Classes:
  ServletServerHttpRequest

    public interface HttpInputMessage

extends HttpMessage

Represents an HTTP input message, consisting of headers and a readable body.

Typically implemented by an HTTP request on the server-side, or a response on the client-side.

Since:
  3.0
Author:
  Arjen Poutsma

Method Summary
`InputStream` `getBody()` Return the body of the message as an input stream.

Methods inherited from interface org.springframework.http.HttpMessage
`getHeaders`

Method Detail

### getBody

    InputStream getBody()
                        throws IOException

  Return the body of the message as an input stream.

  Returns:
    the input stream body
  Throws:
    `IOException` - in case of I/O Errors